Bug 564813 - FTBFS razertool-0.0.7-6.fc12: ImplicitDSOLinking
FTBFS razertool-0.0.7-6.fc12: ImplicitDSOLinking
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: razertool (Show other bugs)
13
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Andreas Osowski
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: 564245 583275
  Show dependency treegraph
 
Reported: 2010-02-13 11:59 EST by FTBFS
Modified: 2011-03-30 16:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: razertool-0.0.7-7.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-29 16:41:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log (638.05 KB, text/plain)
2010-02-13 11:59 EST, FTBFS
no flags Details
build.log (11.14 KB, text/plain)
2010-02-13 11:59 EST, FTBFS
no flags Details
mock.log (967 bytes, text/plain)
2010-02-13 11:59 EST, FTBFS
no flags Details
razertool-0.0.7-libm.patch (1.67 KB, patch)
2010-04-17 11:57 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description FTBFS 2010-02-13 11:59:27 EST
razertool-0.0.7-6.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-02-13 11:59:30 EST
Created attachment 391873 [details]
root.log

root.log for x86_64
Comment 2 FTBFS 2010-02-13 11:59:32 EST
Created attachment 391874 [details]
build.log

build.log for x86_64
Comment 3 FTBFS 2010-02-13 11:59:33 EST
Created attachment 391875 [details]
mock.log

mock.log for x86_64
Comment 4 Bug Zapper 2010-03-15 10:42:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Robert Scheck 2010-04-17 11:57:01 EDT
Created attachment 407281 [details]
razertool-0.0.7-libm.patch

This patch (or better) should get included by upstream; the patch solves
the issue from my point of view. As per request, the patch works with and
without autoconf/automake.
Comment 6 Fedora Update System 2010-04-18 05:10:11 EDT
razertool-0.0.7-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/razertool-0.0.7-7.fc12
Comment 7 Fedora Update System 2010-04-18 05:10:27 EDT
razertool-0.0.7-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/razertool-0.0.7-7.fc13
Comment 8 Fedora Update System 2010-04-20 09:07:17 EDT
razertool-0.0.7-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update razertool'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/razertool-0.0.7-7.fc12
Comment 9 Fedora Update System 2010-04-20 09:15:39 EDT
razertool-0.0.7-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update razertool'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/razertool-0.0.7-7.fc13
Comment 10 Fedora Update System 2010-10-29 16:41:29 EDT
razertool-0.0.7-7.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-03-30 16:02:21 EDT
razertool-0.0.7-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.